///////////////////////////////////////////////////////////////////////////////
//	FILENAME:	eTAudioComponent.h
//	SUMMARY:	Interface for a container of audio data.
//	SUPERCLASS:	Object
//	INTERFACE:	None, but it "exports" eTAudioComponentIcon and IconH.
//	PROTOCOLS:	<ComponentData,
//				ETFDSupport,HTMDSupport,LaTeXSupport>
//	AUTHOR:		Rohit Khare
//	COPYRIGHT:	(c) 1994 California Institure of Technology, eText Project
///////////////////////////////////////////////////////////////////////////////
//	DESCRIPTION
//		This is a subclass that externalizes audio components. Manages
//	a Sound object. useSound:... has been included to allow passing
//	in Sounds that are not on disk (as with paste:s)
///////////////////////////////////////////////////////////////////////////////
//	HISTORY
//	07/19/94:	Rearchitected. See Actors/eTComponent.rtf.
//	07/14/94:	Created. Aliases the NeXTSTEP Sound API.
///////////////////////////////////////////////////////////////////////////////

#import "eTextKernel.h"

@interface eTAudioComponent:eTComponent <ComponentData,ETFDSupport,HTMDSupport,LaTeXSupport>
{	
	id theSound;
}

- theSound;
+ newSoundNamed:(const char *)theName;

// semi-private API
- useSound:(Sound *)newSound 
	  name:(const char *) newComponentName
	  path:(const char *) newCurrentPath;
- writeHTML:(NXStream *)stream forView:view andClose:(BOOL)closeIt;
@end